///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Project: Jack the Uni-Psychle
//
// Author: Tim Newell
// 
// License: GPL see LICENSE in main directory or /usr/share/JUP/ if you used the installer
//
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef PBOSSLASEROBJECT_H
#define PBOSSLASEROBJECT_H
#include "PBaseObject.h"

class PBossLaserObject : public PBaseObject {
	
public:

	PBossLaserObject(short x, short y, BYTE type, UBYTE radius, BYTE droptype, bool goingRight, short offset, PLevelSystem* levelSys);
	//abstract deconstructor
	virtual ~PBossLaserObject();
	
	//abstract functions
	virtual RTTI_OBJECTTYPE getType() { return RTTI_BossLaser; }
	virtual void render(ZSurface &backBuffer);
	virtual void processAI();
	virtual bool processDeadAI();
	virtual UBYTE getWidth();
	virtual UBYTE getHeight();
	
protected:
    
    
private:

};



#endif

