///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Project: Jack the Uni-Psychle
//
// Author: Tim Newell
//
// License: GPL see LICENSE in main directory or /usr/share/JUP/ if you used the installer
// 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef PENEMYOBJECT_H
#define PENEMYOBJECT_H
#include "PPlayerObject.h"

class PEnemyObject : public PBaseObject {
	
public:

	PEnemyObject(short x, short y, BYTE type, UBYTE radius, BYTE droptype, bool goingRight, short offset, PLevelSystem* levelSys);
	//abstract deconstructor
	virtual ~PEnemyObject(){}
	
	//abstract functions
	virtual RTTI_OBJECTTYPE getType() { return RTTI_Enemy; }
	virtual void render(ZSurface &backBuffer);
	virtual void processAI();
	virtual bool processDeadAI();
	virtual UBYTE getWidth();
	virtual UBYTE getHeight();
	
protected:
    
    
private:

};


#endif

