#include "PExitObject.h"

PExitObject::PExitObject(short x, short y, BYTE type, UBYTE radius, BYTE droptype, bool goingRight, short offset, PLevelSystem* levelSys) 
		   : PBaseObject(x,y,type,radius,droptype,goingRight,offset, levelSys) {
	
	
}
 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
void PExitObject::render(ZSurface &backBuffer) {
	
	ZSurface::bitBlitAlpha(&backBuffer,levelSystem->toLocalX(getX()), levelSystem->toLocalY(getY()), levelSystem->exitSign);
	
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
void PExitObject::processAI() {
	//nothing to do here
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
bool PExitObject::processDeadAI() {
	return true;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
UBYTE PExitObject::getWidth() {
	return levelSystem->exitSign->width();
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
UBYTE PExitObject::getHeight() {
	return levelSystem->exitSign->height();
}
