///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Project: Jack the Uni-Psychle
//
// Author: Tim Newell
//
// License: GPL see LICENSE in main directory or /usr/share/JUP/ if you used the installer
//
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef PEXITOBJECT_H
#define PEXITOBJECT_H
#include "PBaseObject.h"
 
class PExitObject : public PBaseObject {
	
public:

	PExitObject(short x, short y, BYTE type, UBYTE radius, BYTE droptype, bool goingRight, short offset, PLevelSystem* levelSys);
	//abstract deconstructor
	virtual ~PExitObject(){}
	
	//abstract functions
	virtual RTTI_OBJECTTYPE getType() { return RTTI_Exit; }
	virtual void render(ZSurface &backBuffer);
	virtual void processAI();
	virtual bool processDeadAI();
	virtual UBYTE getWidth();
	virtual UBYTE getHeight();
	
protected:
    
    
private:



};



#endif

