///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Project: Jack the Uni-Psychle
//
// Author: Tim Newell
//
// License: GPL see LICENSE in main directory or /usr/share/JUP/ if you used the installer
// 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef PTIRESPARKOBJECT_H
#define PTIRESPARKOBJECT_H
#include "PBaseObject.h"

class PTireSparkObject : public PBaseObject {
	
public:

	PTireSparkObject(short x, short y, BYTE type, UBYTE radius, BYTE droptype, bool goingRight, short offset, PLevelSystem* levelSys);
	//abstract deconstructor
	virtual ~PTireSparkObject(){}
	
	//abstract functions
	virtual RTTI_OBJECTTYPE getType() { return RTTI_TireSpark; }
	virtual void render(ZSurface &backBuffer);
	virtual void processAI();
	virtual bool processDeadAI();
	virtual UBYTE getWidth();
	virtual UBYTE getHeight();
	
protected:
    
    
private:

};



#endif

