///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Project: Jack the Uni-Psychle
//
// Author: Tim Newell
//
// License: GPL see LICENSE in main directory or /usr/share/JUP/ if you used the installer
//
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef PBOSSTURRENTOBJECT_H
#define PBOSSTURRENTOBJECT_H
#include "PPlayerObject.h"
 
class PBossTurrentObject : public PBaseObject {
	
public:

	PBossTurrentObject(short x, short y, BYTE type, UBYTE radius, BYTE droptype, bool goingRight, short offset, PLevelSystem* levelSys);
	//abstract deconstructor
	virtual ~PBossTurrentObject();
	
	//abstract functions
	virtual RTTI_OBJECTTYPE getType() { return RTTI_BossTurrent; }
	virtual void render(ZSurface &backBuffer);
	virtual void processAI();
	virtual bool processDeadAI();
	virtual UBYTE getWidth();
	virtual UBYTE getHeight();
	
	BYTE getHitPoints() { return hitpoints; }
        void setHitPoints(BYTE hp) { hitpoints = hp; }
        void decHitPoints() { hitpoints--; }
	
protected:
    
    	QTime tstablizer;
	BYTE hitpoints;
private:

};



#endif

