#include "PPodObject.h"

PPodObject::PPodObject(short x, short y, BYTE type, UBYTE radius, BYTE droptype, bool goingRight, short offset, PLevelSystem* levelSys) 
		   : PBaseObject(x,y,type,radius,droptype,goingRight,offset, levelSys) {
	
 	
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
void PPodObject::render(ZSurface &backBuffer) {
	
	ZSurface::bitBlitAlpha(&backBuffer,levelSystem->toLocalX(getX()), levelSystem->toLocalY(getY()), levelSystem->pod->image(getCurrentAnimation()));
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
void PPodObject::processAI() {
	//nothing to process
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
bool PPodObject::processDeadAI() {
	//nothing to process
	return true;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
UBYTE PPodObject::getWidth() {
	return levelSystem->pod->image(0)->width();
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
UBYTE PPodObject::getHeight() {
	
	return levelSystem->pod->image(0)->height();
}
